<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>Socket.io</title>
</head>

<body>
    <h1>Communication avec soocket.io !</h1>

    <p><input type="button" value="Embêter le serveur" id="poke" /></p>

    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="/socket.io/socket.io.js"></script>

    <script>
	    var socket = io.connect('http://localhost:8080');

	    // On demande le pseudo au visiteur
        var pseudo = prompt("Entrez votre pseudo : ");

        // On envoie le pseudo avec le signal "petit_nouveau" (pour différenceir de "message"
        socket.emit('petit_nouveau', pseudo);

        // On affiche une boite de dialogue lorsque le serveur nous envoie un message
	    socket.on('message', function(message) {
		    console.log('Le serveur a un message pour vous : ' + message);
	    })

        // Lorsque l'n clique sur le bouton, on envoie un message au serveur
        $('#poke').click(function() {
        	socket.emit('message', 'Salut serveur, commençca va ?');
        })
    </script>
</body>

</html>